com.hazelcast.config

## Class AdvancedNetworkConfig.MemberNetworkingView

- java.lang.Object
- - com.hazelcast.config.NetworkConfig
  - - com.hazelcast.config.AdvancedNetworkConfig.MemberNetworkingView

- Enclosing class:
    AdvancedNetworkConfig

      public static class AdvancedNetworkConfig.MemberNetworkingView
      extends NetworkConfig

  Member endpoint decorated as a `NetworkConfig` Facade used during bootstrap to hide if-logic between the two networking configuration approaches

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.NetworkConfig

      `DEFAULT_PORT`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetworkConfig` | `addOutboundPort(int port)`
    `NetworkConfig` | `addOutboundPortDefinition(String portDef)`
    `IcmpFailureDetectorConfig` | `getIcmpFailureDetectorConfig()` Returns the current `IcmpFailureDetectorConfig`.
    `InterfacesConfig` | `getInterfaces()`
    `JoinConfig` | `getJoin()` Returns the `JoinConfig`.
    `MemberAddressProviderConfig` | `getMemberAddressProviderConfig()`
    `Collection<String>` | `getOutboundPortDefinitions()`
    `Collection<Integer>` | `getOutboundPorts()`
    `int` | `getPort()` Returns the port the Hazelcast member will try to bind on.
    `int` | `getPortCount()` Returns the maximum number of ports allowed to try to bind on.
    `String` | `getPublicAddress()`
    `SocketInterceptorConfig` | `getSocketInterceptorConfig()` Gets the `SocketInterceptorConfig`.
    `SSLConfig` | `getSSLConfig()` Returns the current `SSLConfig`.
    `SymmetricEncryptionConfig` | `getSymmetricEncryptionConfig()` Gets the `SymmetricEncryptionConfig`.
    `boolean` | `isPortAutoIncrement()` Checks if a Hazelcast member is allowed find a free port by incrementing the port number when it encounters an occupied port.
    `boolean` | `isReuseAddress()`
    `NetworkConfig` | `setIcmpFailureDetectorConfig(IcmpFailureDetectorConfig icmpFailureDetectorConfig)` Sets the `IcmpFailureDetectorConfig`.
    `NetworkConfig` | `setInterfaces(InterfacesConfig interfaces)`
    `NetworkConfig` | `setJoin(JoinConfig join)`
    `NetworkConfig` | `setMemberAddressProviderConfig(MemberAddressProviderConfig memberAddressProviderConfig)`
    `NetworkConfig` | `setOutboundPortDefinitions(Collection<String> outboundPortDefs)`
    `NetworkConfig` | `setOutboundPorts(Collection<Integer> outboundPorts)`
    `NetworkConfig` | `setPort(int port)` Sets the port the Hazelcast member will try to bind on.
    `NetworkConfig` | `setPortAutoIncrement(boolean portAutoIncrement)` Sets if a Hazelcast member is allowed to find a free port by incrementing the port number when it encounters an occupied port.
    `void` | `setPortCount(int portCount)` The maximum number of ports allowed to use.
    `NetworkConfig` | `setPublicAddress(String publicAddress)` Overrides the public address of a member.
    `NetworkConfig` | `setReuseAddress(boolean reuseAddress)` Sets the reuse address.
    `NetworkConfig` | `setSocketInterceptorConfig(SocketInterceptorConfig socketInterceptorConfig)` Sets the `SocketInterceptorConfig`.
    `NetworkConfig` | `setSSLConfig(SSLConfig sslConfig)` Sets the `SSLConfig`.
    `NetworkConfig` | `setSymmetricEncryptionConfig(SymmetricEncryptionConfig symmetricEncryptionConfig)` Sets the `SymmetricEncryptionConfig`.
    `String` | `toString()`

    - ### Methods inherited from class com.hazelcast.config.NetworkConfig

      `getMemcacheProtocolConfig, getRestApiConfig, setMemcacheProtocolConfig, setRestApiConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getPort

          public int getPort()

      Description copied from class: `NetworkConfig`
      Returns the port the Hazelcast member will try to bind on. A port number of 0 will let the system pick up an ephemeral port.
      Overrides:
        `getPort` in class `NetworkConfig`
      Returns:
        the port the Hazelcast member will try to bind on
      See Also:
        `NetworkConfig.setPort(int)`

    - #### setPort

          public NetworkConfig setPort(int port)

      Description copied from class: `NetworkConfig`
      Sets the port the Hazelcast member will try to bind on. A valid port value is between 0 and 65535. A port number of 0 will let the system pick up an ephemeral port.
      Overrides:
        `setPort` in class `NetworkConfig`
      Parameters:
        `port` - the port the Hazelcast member will try to bind on
      Returns:
        NetworkConfig the updated NetworkConfig
      See Also:
        `NetworkConfig.getPort()`, `for more information`

    - #### getPortCount

          public int getPortCount()

      Description copied from class: `NetworkConfig`
      Returns the maximum number of ports allowed to try to bind on.
      Overrides:
        `getPortCount` in class `NetworkConfig`
      Returns:
        the maximum number of ports allowed to try to bind on
      See Also:
        `NetworkConfig.setPortCount(int)`, `for more information`

    - #### setPortCount

          public void setPortCount(int portCount)

      Description copied from class: `NetworkConfig`
      The maximum number of ports allowed to use.
      Overrides:
        `setPortCount` in class `NetworkConfig`
      Parameters:
        `portCount` - the maximum number of ports allowed to use
      See Also:
        `for more information`

    - #### isPortAutoIncrement

          public boolean isPortAutoIncrement()

      Description copied from class: `NetworkConfig`
      Checks if a Hazelcast member is allowed find a free port by incrementing the port number when it encounters an occupied port.
      Overrides:
        `isPortAutoIncrement` in class `NetworkConfig`
      Returns:
        the portAutoIncrement
      See Also:
        `NetworkConfig.setPortAutoIncrement(boolean)`

    - #### setPortAutoIncrement

          public NetworkConfig setPortAutoIncrement(boolean portAutoIncrement)

      Description copied from class: `NetworkConfig`
      Sets if a Hazelcast member is allowed to find a free port by incrementing the port number when it encounters an occupied port.

      If you explicitly want to control the port a Hazelcast member is going to use, you probably want to set portAutoincrement to false. In this case, the Hazelcast member is going to try the port `NetworkConfig.setPort(int)` and if the port is not free, the member will not start and throw an exception.

      If this value is set to true, Hazelcast will start at the port specified by `NetworkConfig.setPort(int)` and will try until it finds a free port, or until it runs out of ports to try `NetworkConfig.setPortCount(int)`.

      Overrides:
        `setPortAutoIncrement` in class `NetworkConfig`
      Parameters:
        `portAutoIncrement` - the portAutoIncrement to set
      Returns:
        the updated NetworkConfig
      See Also:
        `NetworkConfig.isPortAutoIncrement()`, `NetworkConfig.setPortCount(int)`, `NetworkConfig.setPort(int)`

    - #### isReuseAddress

          public boolean isReuseAddress()

      Overrides:
        `isReuseAddress` in class `NetworkConfig`

    - #### setReuseAddress

          public NetworkConfig setReuseAddress(boolean reuseAddress)

      Description copied from class: `NetworkConfig`
      Sets the reuse address.

      When should setReuseAddress(true) be used?

      When the member is shutdown, the server socket port will be in TIME_WAIT state for the next 2 minutes or so. If you start the member right after shutting it down, you may not be able to bind to the same port because it is in TIME_WAIT state. if you set reuseAddress=true then TIME_WAIT will be ignored and you will be able to bind to the same port again.

      This property should not be set to true on the Windows platform: see

      1. http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6421091
      2. http://www.hsc.fr/ressources/articles/win_net_srv/multiple_bindings.html
      By default, if the OS is Windows then reuseAddress will be false.
      Overrides:
        `setReuseAddress` in class `NetworkConfig`

    - #### getOutboundPortDefinitions

          public Collection<String> getOutboundPortDefinitions()

      Overrides:
        `getOutboundPortDefinitions` in class `NetworkConfig`

    - #### setOutboundPortDefinitions

          public NetworkConfig setOutboundPortDefinitions(Collection<String> outboundPortDefs)

      Overrides:
        `setOutboundPortDefinitions` in class `NetworkConfig`

    - #### addOutboundPortDefinition

          public NetworkConfig addOutboundPortDefinition(String portDef)

      Overrides:
        `addOutboundPortDefinition` in class `NetworkConfig`

    - #### getOutboundPorts

          public Collection<Integer> getOutboundPorts()

      Overrides:
        `getOutboundPorts` in class `NetworkConfig`

    - #### setOutboundPorts

          public NetworkConfig setOutboundPorts(Collection<Integer> outboundPorts)

      Overrides:
        `setOutboundPorts` in class `NetworkConfig`

    - #### addOutboundPort

          public NetworkConfig addOutboundPort(int port)

      Overrides:
        `addOutboundPort` in class `NetworkConfig`

    - #### getInterfaces

          public InterfacesConfig getInterfaces()

      Overrides:
        `getInterfaces` in class `NetworkConfig`
      Returns:
        the interfaces

    - #### setInterfaces

          public NetworkConfig setInterfaces(InterfacesConfig interfaces)

      Overrides:
        `setInterfaces` in class `NetworkConfig`
      Parameters:
        `interfaces` - the interfaces to set

    - #### getJoin

          public JoinConfig getJoin()

      Description copied from class: `NetworkConfig`
      Returns the `JoinConfig`.
      Overrides:
        `getJoin` in class `NetworkConfig`
      Returns:
        the join

    - #### setJoin

          public NetworkConfig setJoin(JoinConfig join)

      Overrides:
        `setJoin` in class `NetworkConfig`
      Parameters:
        `join` - the join to set

    - #### getPublicAddress

          public String getPublicAddress()

      Overrides:
        `getPublicAddress` in class `NetworkConfig`

    - #### setPublicAddress

          public NetworkConfig setPublicAddress(String publicAddress)

      Description copied from class: `NetworkConfig`
      Overrides the public address of a member. Behind a NAT, two endpoints may not be able to see/access each other. If both nodes set their public addresses to their defined addresses on NAT, then that way they can communicate with each other. It should be set in the format “host IP address:port number”.
      Overrides:
        `setPublicAddress` in class `NetworkConfig`

    - #### getSocketInterceptorConfig

          public SocketInterceptorConfig getSocketInterceptorConfig()

      Description copied from class: `NetworkConfig`
      Gets the `SocketInterceptorConfig`. The value can be `null` if no socket interception is needed.
      Overrides:
        `getSocketInterceptorConfig` in class `NetworkConfig`
      Returns:
        the SocketInterceptorConfig
      See Also:
        `NetworkConfig.setSocketInterceptorConfig(SocketInterceptorConfig)`

    - #### setSocketInterceptorConfig

          public NetworkConfig setSocketInterceptorConfig(SocketInterceptorConfig socketInterceptorConfig)

      Description copied from class: `NetworkConfig`
      Sets the `SocketInterceptorConfig`. The value can be `null` if no socket interception is needed.
      Overrides:
        `setSocketInterceptorConfig` in class `NetworkConfig`
      Parameters:
        `socketInterceptorConfig` - the SocketInterceptorConfig to set
      Returns:
        the updated NetworkConfig

    - #### getSymmetricEncryptionConfig

          public SymmetricEncryptionConfig getSymmetricEncryptionConfig()

      Description copied from class: `NetworkConfig`
      Gets the `SymmetricEncryptionConfig`. The value can be `null` which means that no symmetric encryption should be used.
      Overrides:
        `getSymmetricEncryptionConfig` in class `NetworkConfig`
      Returns:
        the SymmetricEncryptionConfig

    - #### setSymmetricEncryptionConfig

          public NetworkConfig setSymmetricEncryptionConfig(SymmetricEncryptionConfig symmetricEncryptionConfig)

      Description copied from class: `NetworkConfig`
      Sets the `SymmetricEncryptionConfig`. The value can be `null` if no symmetric encryption should be used.
      Overrides:
        `setSymmetricEncryptionConfig` in class `NetworkConfig`
      Parameters:
        `symmetricEncryptionConfig` - the SymmetricEncryptionConfig to set
      Returns:
        the updated NetworkConfig
      See Also:
        `NetworkConfig.getSymmetricEncryptionConfig()`

    - #### getSSLConfig

          public SSLConfig getSSLConfig()

      Description copied from class: `NetworkConfig`
      Returns the current `SSLConfig`. It is possible that null is returned if no SSLConfig has been set.
      Overrides:
        `getSSLConfig` in class `NetworkConfig`
      Returns:
        the SSLConfig
      See Also:
        `NetworkConfig.setSSLConfig(SSLConfig)`

    - #### setSSLConfig

          public NetworkConfig setSSLConfig(SSLConfig sslConfig)

      Description copied from class: `NetworkConfig`
      Sets the `SSLConfig`. null value indicates that no SSLConfig should be used.
      Overrides:
        `setSSLConfig` in class `NetworkConfig`
      Parameters:
        `sslConfig` - the SSLConfig
      Returns:
        the updated NetworkConfig
      See Also:
        `NetworkConfig.getSSLConfig()`

    - #### getMemberAddressProviderConfig

          public MemberAddressProviderConfig getMemberAddressProviderConfig()

      Overrides:
        `getMemberAddressProviderConfig` in class `NetworkConfig`

    - #### setMemberAddressProviderConfig

          public NetworkConfig setMemberAddressProviderConfig(MemberAddressProviderConfig memberAddressProviderConfig)

      Overrides:
        `setMemberAddressProviderConfig` in class `NetworkConfig`

    - #### setIcmpFailureDetectorConfig

          public NetworkConfig setIcmpFailureDetectorConfig(IcmpFailureDetectorConfig icmpFailureDetectorConfig)

      Description copied from class: `NetworkConfig`
      Sets the `IcmpFailureDetectorConfig`. The value can be `null` if this detector isn't needed.
      Overrides:
        `setIcmpFailureDetectorConfig` in class `NetworkConfig`
      Parameters:
        `icmpFailureDetectorConfig` - the IcmpFailureDetectorConfig to set
      Returns:
        the updated NetworkConfig
      See Also:
        `NetworkConfig.getIcmpFailureDetectorConfig()`

    - #### getIcmpFailureDetectorConfig

          public IcmpFailureDetectorConfig getIcmpFailureDetectorConfig()

      Description copied from class: `NetworkConfig`
      Returns the current `IcmpFailureDetectorConfig`. It is possible that null is returned if no IcmpFailureDetectorConfig has been set.
      Overrides:
        `getIcmpFailureDetectorConfig` in class `NetworkConfig`
      Returns:
        the IcmpFailureDetectorConfig
      See Also:
        `NetworkConfig.setIcmpFailureDetectorConfig(IcmpFailureDetectorConfig)`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `NetworkConfig`

Copyright © 2020. All rights reserved.